#include "qlistmodel.h"
#include <QIcon>

QListModel::QListModel(QObject *parent) :
    QSqlQueryModel(parent)
{

}

QVariant QListModel::data(const QModelIndex &item, int role) const
{
    if (!item.isValid())
        return QVariant();

    if(role == Qt::DecorationRole)
    {
        if(item.column() == 0)
        {
            if(item.data(13).toString() == "0")               // Compuesto
            {
                return QIcon(":/resources/icons/box.svg");
            }
            else if(item.data(13).toString() == "1")          // Materiales
            {
                return QIcon(":/resources/icons/blocks.svg");
            }
            else if(item.data(13).toString() == "2")          // Mano de obra
            {
                return QIcon(":/resources/icons/helmet.svg");
            }
            else if(item.data(13).toString() == "3")          // Maquinaria
            {
                return QIcon(":/resources/icons/gear.svg");
            }
            else if(item.data(13).toString() == "4")          // Maquinaria
            {
                return QIcon(":/resources/icons/percentage.svg");
            }
        }
    }

    //return item.data(role);
}
